rem .--------------------------------------------------------------------------
rem | Emits a multi-line help-description for this script using information
rem | embedded in the :main label and a set of comment lines (actually, a dummy
rem | label).
rem |
rem | The :mail label and help-text should follow this pattern:
rem |
rem |     :main /? | options and parameters
rem |
rem |     :: = DESCRIPTION:
rem |     :: =   Blah blah blah..
rem |
rem | @param  1  Path to script.
rem '--------------------------------------------------------------------------
:do_help
    set _=%~dp1;%PATH%

    echo. NAME
    echo.   %~n1
    echo.
    echo. SYNOPSIS

    for /F "tokens=1,*" %%I in ('findstr /R "^:main" "%~$_:1"')   do echo.   %~n1 %%J
    echo.

    setlocal enabledelayedexpansion
    for /F "delims=" %%I in ('findstr /R /C:"^:: =" "%~$_:1"') do (
	set I=%%I
	echo.!I:~4!
    )
    endlocal
goto :EOF

rem vim: set filetype=dosbatch tabstop=8 softtabstop=4 shiftwidth=4 noexpandtab:
rem vim: set foldmethod=indent
